Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158143 - RFE: when building the xconf file..use only similar aspect ratio display modes
Summary: RFE: when building the xconf file..use only similar aspect ratio display modes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhpxl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-05-19 02:14 UTC by Jef Spaleta
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-01 15:08:35 UTC


Attachments (Terms of Use)
patch to merge only same aspect ratio modes into xconf file (deleted)
2005-05-19 02:15 UTC, Jef Spaleta
no flags Details | Diff

Description Jef Spaleta 2005-05-19 02:14:01 UTC
Description of problem:
All available modes smaller than selected resolution are included in the
xorg.conf modes line in the display section when using tools such as
system-config-packages.

It might be better to only include modes of the same aspect ratio, to prevent
unexpected situations like wide-screen modes being used if the selected high
resolution 4/3 aspect ratio mode is thrown out by X

I'm attaching a patch of the /usr/lib/python2.4/site-packages/rhpl/xhwstate.py
file which introduces a new compare_aspectratio  function and makes a small
change to the merge_into function to use compare_aspectratio when building the
mode list.

These changes do not affect the available resolution list as seen by
system-config-packages. You can still select a widescreen mode on a standard
moniter.  This patch, afaik, only affects what is written to the xorg.conf file
so that all modes written to the file have the same aspectratio as the
resolution 'selected'

This falls completely inside the realm of feature request.. so i don't expect
anyone to look at this till after fc4 ships. But since i was already looking at
the xhwstate.py to fix the resolution sort bug i thought I'd throw out this
quick feature patch and get it filed while I'm thinking about it. 

So take it for a spin when you have time to look at it and see if it makes sense
from a user expectation/usability perspective.

-jef

Comment 1 Jef Spaleta 2005-05-19 02:15:44 UTC
Created attachment 114546 [details]
patch to merge only same aspect ratio modes into xconf file

i rememebered to use diff -u this time... i deserve a beer

Comment 2 Jeremy Katz 2005-05-23 14:59:42 UTC
Looks sane, but going to hold off for now since we should be locking down pretty
hard for FC4 at this point.

Comment 3 Jef Spaleta 2005-05-23 15:07:51 UTC
yes, hold off. 

One thing I'm concerned about is whether or not widescreen displays should keep
a fallback low resolution standard mode like  "640x480" in the mode list or not.
 Send me a wide screen monitor to test and I'll examine the issue of fallback
modes in more detail.

-jef


Note You need to log in before you can comment on or make changes to this bug.